Summary:	Iconv application module for the Asterisk PBX
Name:		asterisk-app_iconv
Version:	0.8
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://www.mezzo.net/asterisk/app_iconv.html
Source0:	http://www.mezzo.net/asterisk/app_iconv-%{version}.tar.bz2
Patch0:		app_iconv-0.8-mdk_conf.diff
Patch1:		app_iconv-0.8-stdio.diff
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Iconv is an Asterisk application for character conversion. If you
retrieve text from an external data source it might be necesarry
to convert the source characters into a different character set.

%prep

%setup -q -n app_iconv
%patch0 -p1
%patch1 -p0

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%make \
    RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -m0755 app_iconv.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0755,root,root) %{_libdir}/asterisk/app_iconv.so

%changelog
* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-3mdk
- fix build with asterisk-1.2.4 (P1)

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdk
- rebuild

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- initial package
